ข้ามไปยังเนื้อหา

Flux Kontext Trainer

ผสานการทำงาน

ID โมเดล flux-kontext-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $2.50 2,500 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
Black Forest Labs การฝึกโมเดล

ฝึก LoRA ของ Kontext [dev] จาก zip ที่มีภาพเริ่มต้นและภาพปลายทางเป็นคู่

Black Forest Labs · ไฟล์

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

URL ของไฟล์ ZIP อินพุต โดยไฟล์เก็บถาวรต้องมีคู่รูปภาพที่ตั้งชื่อเป็น ROOT_start.EXT และ ROOT_end.EXT เช่น photo_start.jpg และ photo_end.jpg แต่ละคู่อาจมีไฟล์ ROOT.txt เช่น photo.txt ซึ่งมีคำสั่งแก้ไข หากไม่มีไฟล์ข้อความดังกล่าว default_caption จะจัดหาคำสั่งให้ การฝึกจะล้มเหลวหากไม่มี default_caption เช่นกัน

ค่าเริ่มต้น 1000

จำนวนขั้นตอนการฝึกทั้งหมด

ขั้นสูง default_caption · learning_rate

คำบรรยายที่ใช้แทนไฟล์คำบรรยายที่หายไป โดย None จะทำให้การไม่มีไฟล์ดังกล่าวถือเป็นข้อผิดพลาด

ค่าเริ่มต้น 0.0001
POST /run/flux-kontext-trainer?wait=20 ใบเสนอราคา → $2.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Flux Kontext Trainer

ปรับแต่ง LoRA สำหรับ Kontext จากตัวอย่างก่อนและหลังที่จับคู่กัน `image_data_url` ชี้ไปยัง zip ที่มีไฟล์ชื่อ ROOT_start.EXT และ ROOT_end.EXT คุณสามารถตั้งค่า `steps` ตั้งแต่ 1 ถึง 10000 (ค่าเริ่มต้น 1000), `learning_rate` และ `default_caption` สำหรับคู่ที่ไม่มีไฟล์คำบรรยาย ส่งคืนค่าน้ำหนัก LoRA และไฟล์ config

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_data_urlจำเป็น
ประเภทstring
URL ของไฟล์ ZIP อินพุต โดยไฟล์เก็บถาวรต้องมีคู่รูปภาพที่ตั้งชื่อเป็น ROOT_start.EXT และ ROOT_end.EXT เช่น photo_start.jpg และ photo_end.jpg แต่ละคู่อาจมีไฟล์ ROOT.txt เช่น photo.txt ซึ่งมีคำสั่งแก้ไข หากไม่มีไฟล์ข้อความดังกล่าว default_caption จะจัดหาคำสั่งให้ การฝึกจะล้มเหลวหากไม่มี default_caption เช่นกัน
stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น1000
1 – 10,000
จำนวนขั้นตอนการฝึกทั้งหมด
learning_rateไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น0.0001
default_captionไม่บังคับ
ประเภทstring | null
คำบรรยายที่ใช้แทนไฟล์คำบรรยายที่หายไป โดย None จะทำให้การไม่มีไฟล์ดังกล่าวถือเป็นข้อผิดพลาด
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-kontext-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2500,
    "usd": "2.50",
    "charged": 2500,
    "refunded": 0
  },
  "input": {
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
diffusers_lora_file
object {url, content_type, file_name, file_size}URL ที่ชี้ไปยังน้ำหนัก LoRA ที่ฝึกแล้วในรูปแบบ diffusers
config_file
object {url, content_type, file_name, file_size}URL ที่ชี้ไปยังไฟล์การกำหนดค่าของโมเดลที่ฝึกแล้ว

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/flux-kontext-trainer.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt